# Class CIM_IPVersionSettingData
extends CIM_SettingData

This SettingData instance represents an IP version. This instance can be associated to one or more CIM_ManagedElements (Eg. CIM_ComputerSystem or CIM_IPNetworkConnection) to respresent the IP version. The properties of the CIM_ElementSettingData can be used show the IPVersions that are configured as default, current or Next boot.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_IPVersionSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This SettingData instance represents an IP version. This instance can be associated to one or more CIM_ManagedElements (Eg. CIM_ComputerSystem or CIM_IPNetworkConnection) to respresent the IP version. The properties of the CIM_ElementSettingData can be used show the IPVersions that are configured as default, current or Next boot.
UMLPackagePath | string | CIM::Network::IP
Version | string | 2.32.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ProtocolIFType | uint16 |
Description | string | An enumeration that describes the IP version.
ModelCorrespondence | string | CIM_ProtocolEndpoint.ProtocolIFType
ValueMap | string | 0, .., 4096, 4097, 32768..
Values | string | Unknown, DMTF Reserved, IPv4, IPv6, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods